import 'antd/dist/antd.css';
import React, { useContext, useEffect } from 'react';

import { useRouter } from 'next/router';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faFileExport } from '@fortawesome/free-solid-svg-icons';
import { Button, Typography } from 'antd';
import styles from '../styles/Link.module.scss';

function LinkPage() {
    const router = useRouter();
    let url = router.query.url;

    if (Array.isArray(url)) {
        url = url[0];
    }
    if (!url) {
        return <div>Invalid request</div>;
    }

    return (
        <div className={styles.page}>
            <div className={styles.container}>
                <div className={styles.header}>Tento odkaz vede mimo anotační službu</div>
                <p>
                    Chystáte se odejít do neznámého a potenciálně nebezpečného prostředí:
                </p>
                <a href={url}>{url}</a>

                <Button onClick={router.back} className={styles.button}>
                    Zpět
                </Button>
            </div>
        </div>
    );
}

export default LinkPage;
